qt5
fits

GLnemo2のインストール on Ubuntu 16.04.1

More than 1 year has passed since last update.


GLnemo2

Qtを用いてFITS形式の画像を表示するビューアーが2種類ほどありますが、その内の1つがGLnemo2です。


インストール

https://projets.lam.fr/projects/glnemo2/wiki/Download#Ubuntu-1604

上記URLからdebファイルをダウンロードし、事前にdpk -Iなどで依存関係を確認します。

 新形式 debian パッケージ、バージョン 2.0。

サイズ 1164708 バイト: コントロールアーカイブ = 570 バイト。
669 バイト、 10 行 control
113 バイト、 2 行 md5sums
Package: glnemo2
Version: 1.10.0-1.ubuntu16.04
Section: devel
Priority: optional
Architecture: amd64
Depends: libc6 (>= 2.14), libccfits0v5, libgcc1 (>= 1:3.0), libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libgomp1 (>= 4.2.1), libhdf5-10, libhdf5-cpp-11 (>= 1.8.15-patch1), libqt5core5a (>= 5.5.0), libqt5gui5 (>= 5.0.2) | libqt5gui5-gles (>= 5.0.2), libqt5network5 (>= 5.0.2), libqt5opengl5 (>= 5.0.2) | libqt5opengl5-gles (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.0.2), libstdc++6 (>= 5.2), zlib1g (>= 1:1.1.4)
Installed-Size: 3309
Maintainer: Jean-Charles LAMBERT
Description: An interactive 3D visualization program for N-body snaphots

開発系のものは既に入れてあったので、特別に入れる必要があったのがlibhdf5-cpp-11libccfits0v5ぐらいでした。

sudo apt install libhdf5-cpp-11 libccfits0v5

sudo dpk -i ./glnemo2-1.10.0.ubuntu16.04.x86_64.deb

Qt5は既に入れていた気がするので、もしかしたらlibqt5coreあたりが必要かもしれません。

Hubble Legacy Archiveで取ってきたFITS画像を適当に表示したのが以下の画像です。

Screenshot from 2016-12-18 19-26-09.png


参照